Redmine - Feature #1926

Issues identifiers
2008-09-19 10:41 - Benson M

Status: Closed Start date: 2008-09-19
Priority: Urgent Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Wont fix

Description

We would like to assign issue identifiers based on the project name. Currently, Redmine uses issue's id (which is auto-increment) to
search an issue and in many other places. Our issues are increasing daily and the number (e.g. #1384) are not so friendly for us as
developers and our clients. We therefore would like to have a 4 letter project code and start naming the issues from 1, eg for a
project called Redmine, we could have something like REDMO1 for issue 1, REDMO02 for issue 2 etc and for a project Ruby we have
RUBY01,RUBY02....

Related issues:

Related to Redmine - Feature #5765: Issue Numbers per Project Closed 2010-06-27
Related to Redmine - Feature #6884: IssuelD by Project Closed 2010-11-13
Related to Redmine - Feature #6642: anonymized issue numbers New 2010-10-12
History

#1 - 2008-09-19 13:29 - David Marin Carrefio
- Target version deleted (0.7)

#2 - 2008-09-19 17:34 - Jean-Philippe Lang
- Category deleted (Search engine)
- Status changed from New to Closed

- Resolution set to Wont fix

As already mentioned in #282, #538, this won't be implemented.

#3 - 2008-09-22 14:55 - Benson M

Any pointers on how this can be done? | need to add this for my organisation and | would be glad to have suggestions on how this could be
implemented.

#4 - 2008-09-22 14:56 - Benson M

Benson Muteru wrote:

Any pointers on how this can be done? | need to add this for my organisation and | would be glad to have suggestions on how this could be
implemented. If there is anyone who has done this please share your work.

#5 - 2014-01-09 17:36 - an an

Take a look at this plugin: http:/projects.andriylesyuk.com/project/redmine/issue-id
Please help him to release this plugin soon

#6 - 2014-08-23 19:07 - Andriy Lesyuk

an an wrote:

Take a look at this plugin: http://projects.andriylesyuk.com/project/redmine/issue-id
Please help him to release this plugin soon

The release happened. Now please help me make it stable (or to make sure, that it's stable). Thanks!

2025-07-03 1/1



https://www.redmine.org/issues/1384
https://www.redmine.org/issues/282
https://www.redmine.org/issues/538
http://projects.andriylesyuk.com/project/redmine/issue-id
http://projects.andriylesyuk.com/project/redmine/issue-id
http://www.tcpdf.org

